#if-shell 'env "$POWERLINE_CONFIG_COMMAND" tmux setup' '' 'run-shell "powerline-config tmux setup"'
set-window-option -g xterm-keys on
set -g set-titles on
set -g set-titles-string '#{session_name}: #{window_name}'

# List of plugins
set -g @plugin 'tmux-plugins/tpm'
set -g @plugin 'tmux-plugins/tmux-sensible'

# Other examples:
# set -g @plugin 'github_username/plugin_name'
# set -g @plugin 'github_username/plugin_name#branch'
# set -g @plugin 'git@github.com:user/plugin'
# set -g @plugin 'git@bitbucket.com:user/plugin'

set -g @plugin 'catppuccin/tmux'
# set -g @catppuccin_flavor 'macchiato' # or frappe, macchiato, mocha
set -g @catppuccin_flavor 'macchiato' # or frappe, macchiato, mocha
set -g @catppuccin_window_status_style 'rounded'

set -g status-left ""

set -g @catppuccin_window_number_position "right"

set -g @catppuccin_window_tabs_enabled on # or off to disable window_tabs

set -g status-right "#{E:@catppuccin_status_directory}"
set -ag status-right "#{E:@catppuccin_status_user}"
set -ag status-right "#{E:@catppuccin_status_session}"
set -ag status-right "#{E:@catppuccin_status_host}"


# Initialize TMUX plugin manager (keep this line at the very bottom of tmux.conf)
run '~/.tmux/plugins/tpm/tpm'
# vim: ft=tmux
